require "mmkrusniak_palindrome/version"

module Palindrome
    def palindrome?
        processed_content == processed_content.reverse
    end

    private def processed_content
        self.letters.downcase
    end

    def letters
        return to_s.scan(/\w/).join("")
    end
end

class String
    include Palindrome
end

class Numeric
    include Palindrome
end
